//camera motion maker

#include <stdio.h>

#define FRAMEP1 60 // avvicinamento al letto
#define FRAMEP2 30 // salto sul letto
#define FRAMEP3 70 // rotazione sul letto
#define FRAMEP4 60 // movimento verso la fine del letto
#define FRAMEP5 39 // salto sulla fine del letto
#define FRAMEP55 10 // sponda del letto

#define FRAMEP6 30.0 //prima parte del salto
#define FRAMEP7 30.0 //seconda parte del salto
#define FRAMEP8 60.0 //rotazione1
#define FRAMEP9 40.0 //movimento
#define FRAMEP10 83.0 //rotazione2
#define FRAMEP11 60.0 //movimento finale
#define FRAMEP12 20
#define FRAMEP13 90 //avvicinamento a mrPotato
#define FRAMEP14 50

void write(int i, float x,float y,float z,float xo,float yo,float zo,float xv,float yv,float zv){
  FILE *fp;
  char fname[40];

  sprintf(fname,"all%d.vw",i);
  fp = fopen(fname, "w");
  fprintf(fp, "%f %f %f\n",x,y,z);
  fprintf(fp, "%f %f %f\n",xo,yo,zo);
  fprintf(fp, "%f %f %f\n",xv,yv,zv);
  fprintf(fp, "75.000000\n");
  fprintf(fp, "1.000000\n");
  fclose(fp);
}

int main(){
  FILE *fp;
  char fname[40];
  int i;

  float x=25.0;
  float y=20.0;
  float z=2.0;

  float xo=25.0;
  float zo=0.0;
  float yo=0.0;

  float xv=0.018;
  float yv=-0.99;
  float zv=0.994;


  float dXV=0.0;
  float dYV=0.0;
  float dZV=0.0;

  float dXO=0.0;
  float dYO=0.0;
  float dZO=0.0;

  float dX=0.0;
  float dY=0.0;
  float dZ=0.0;

  int frame = FRAMEP1;
  int cframe = 0;


  //avvicinamento al letto
  dY= (20.0-11.0)/FRAMEP1;
  for(i=cframe;i<frame;i++){
    y-=dY;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  cframe = frame;
  frame = cframe+FRAMEP2;

  //salto sul letto
  dY = (y-6.0)/FRAMEP2;
  dZ = (5.5-z)/FRAMEP2;  
  dZO = (5.5-zo)/FRAMEP2;
  for(i=cframe;i<frame;i++){
    y-=dY;
    z+=dZ;
    zo+=dZO;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  cframe = frame;
  frame = cframe+FRAMEP3;

  // rotazione sul letto
  dZ = (z-5.312)/30;
  dX = (25.157-x)/30;
  dY = (y-5.008)/30;


  xo=24.9;
  yo=0.002;
  zo=5.004;
  xv=0.031;
  yv=-0.051;
  zv=0.998;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.8;
  yo=0.005;
  zo=5.009;
  xv=0.019;
  yv=-0.039;
  zv=0.999;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.7;
  yo=0.012;
  zo=5.014;
  xv=0.019;
  yv=-0.039;
  zv=0.999;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.601;
  yo=0.021;
  zo=5.019;
  xv=0.014;
  yv=-0.025;
  zv=0.999;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.501;
  yo=0.032;
  zo=5.024;
  xv=0.002;
  zv=0.999;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//5

  xo=24.402;
  yo=0.044;
  zo=5.029;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.304;
  yo=0.059;
  zo=5.034;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.205;
  yo=0.076;
  zo=5.040;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.107;
  yo=0.094;
  zo=5.045;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=24.009;
  yo=0.115;
  zo=5.051;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//10

  xo=23.912;
  yo=0.137;
  zo=5.057;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.815;
  yo=0.162;
  zo=5.063;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.719;
  yo=0.188;
  zo=5.069;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.623;
  yo=0.217;
  zo=5.075;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;
  
  xo=23.528;
  yo=0.247;
  zo=5.081;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.434;
  yo=0.279;
  zo=5.087;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.340;
  yo=0.313;
  zo=5.094;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.247;
  yo=0.348;
  zo=5.100;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.154;
  yo=0.386;
  zo=5.107;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=23.062;
  yo=0.426;
  zo=5.113;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//20

  xo=22.972;
  yo=0.467;
  zo=5.120;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.882;
  yo=0.510;
  zo=5.127;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.881;
  yo=0.508;
  zo=5.127;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.792;
  yo=0.553;
  zo=5.133;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.703;
  yo=0.600;
  zo=5.140;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//25

  xo=22.616;
  yo=0.648;
  zo=5.147;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.530;
  yo=0.698;
  zo=5.154;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.445;
  yo=0.750;
  zo=5.161;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.360;
  yo=0.803;
  zo=5.169;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.276;
  yo=0.857;
  zo=5.176;
  x+=dX;
  y-=dY;
  z-=dZ;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//30

  xo=22.194;
  yo=0.913;
  zo=5.183;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.113;
  yo=0.972;
  zo=5.190;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=22.033;
  yo=1.032;
  zo=5.198;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.955;
  yo=1.093;
  zo=5.205;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.878;
  yo=1.156;
  zo=5.213;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;
  
  xo=21.802;
  yo=1.221;
  zo=5.220;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;
  
  xo=21.727;
  yo=1.287;
  zo=5.228;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;
  
  xo=21.654;
  yo=1.354;
  zo=5.235;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.582;
  yo=1.423;
  zo=5.241;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.511;
  yo=1.494;
  zo=5.245;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.442;
  yo=1.566;
  zo=5.250;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.374;
  yo=1.639;
  zo=5.254;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.307;
  yo=1.714;
  zo=5.258;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.242;
  yo=1.790;
  zo=5.262;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.179;
  yo=1.867;
  zo=5.266;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.117;
  yo=1.945;
  zo=5.271;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=21.057;
  yo=2.024;
  zo=5.275;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.996;
  yo=2.105;
  zo=5.279;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.939;
  yo=2.187;
  zo=5.284;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.884;
  yo=2.270;
  zo=5.288;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.830;
  yo=2.354;
  zo=5.292;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.778;
  yo=2.439;
  zo=5.297;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.727;
  yo=2.525;
  zo=5.301;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.678;
  yo=2.612;
  zo=5.306;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.631;
  yo=2.700;
  zo=5.312;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.586;
  yo=2.790;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.511;
  yo=2.869;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.469;
  yo=2.960;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.429;
  yo=3.051;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.391;
  yo=3.144;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.320;
  yo=3.330;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.257;
  yo=3.520;

  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.228;
  yo=3.616;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.201;
  yo=3.712;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.175;
  yo=3.809;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=4.003;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=4.203;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=4.403;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=4.603;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=4.803;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  xo=20.129;
  yo=5.00;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);

  i++;
  
  cframe = frame;
  frame = cframe+FRAMEP4;

  //spostamento sul letto  
  dX = (x-18.157)/FRAMEP4;
  dXO = (xo-18.0)/FRAMEP4 ;

  for(i=cframe;i<frame;i++){
    x-=dX;
    xo-=dXO;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }
  cframe = frame;
  frame = cframe+FRAMEP5;

  //salto sulla fine del letto

  dX = (x-15.05504)/FRAMEP5;
  dY = (y-4.98316)/FRAMEP5;
  dZ = (7.311980-z)/FRAMEP5;

  dXO = (xo-15.0)/FRAMEP5;
  dZO = (7.312499-z)/FRAMEP5;

  dXV = (0.008967-xv)/FRAMEP5;
  dYV = (0.0025-yv)/FRAMEP5;

  for(i=cframe;i<frame;i++){
    x-=dX;
    y-=dY;
    z+=dZ;

    xo-=dXO;
    zo+=dZO;
    
    xv+=dXV;
    yv+=dYV;

    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  cframe = frame;
  frame = cframe+FRAMEP55;
  
  for(i=cframe;i<frame;i++){
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }


  cframe = frame;
  frame = cframe+FRAMEP6;


  // salto parte1
  dX = (x-11.054932)/FRAMEP6;
  dY = (4.983167-y)/FRAMEP6;
  dZ = (10.0-z)/FRAMEP6;
  
  dXO = (xo-11.000019)/FRAMEP6;
  dZO = (10.0-zo)/FRAMEP6;

  dYV = (0.003475-yv)/FRAMEP6;

  for(i=cframe;i<frame;i++){
    x-=dX;
    y+=dY;
    z+=dZ;

    xo-=dXO;
    zo+=dZO;
    
    yv+=dYV;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);

  }


  cframe = frame;
  frame = cframe+FRAMEP7;


  // salto parte2
  dX = (x-6.054932)/FRAMEP7;
  dZ = (z-8.5)/FRAMEP7;
  
  dXO = (xo-6.000019)/FRAMEP7;
  dZO = (zo-8.5)/FRAMEP7;

  
  for(i=cframe;i<frame;i++){
    x-=dX;
    z-=dZ;

    xo-=dXO;
    zo-=dZO;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);

  }

  cframe = frame;
  frame = cframe+FRAMEP8;  
  //rotazione 1
  y=4.982;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.981;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.053;
  y=4.980;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.979;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.978;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.052;
  y=4.977;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.976;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.975;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.051;
  y=4.974;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.973;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //10

  x=6.050;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.972;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.049;
  y=4.971;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.970;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.048;
  y=4.969;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.968;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.047;
  y=4.967;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.047;
  y=4.967;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.046;
  y=4.966;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.045;
  y=4.965;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //20

  y=4.964;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.044;
  y=4.963;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.043;
  y=4.962;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.042;
  y=4.961;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.960;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.041;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.040;
  y=4.959;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.039;
  y=4.958;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.957;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.038;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //30

  x=6.037;
  y=4.956;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.955;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.035;
  y=4.954;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.034;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.033;
  y=4.953;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.032;
  y=4.952;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.031;
  y=4.951;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.030;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.029;
  y=4.950;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.028;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.027;
  y=4.949;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.026;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=4.948;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.025;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.024;
  y=4.947;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.023;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;
  
  x=6.022;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.021;
  y=4.946;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.020;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.019;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //50

  x=6.018;
  y=4.945;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.017;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.016;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.015;
  y=4.944;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.014;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.013;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.012;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.011;
  y=4.943;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.010;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.009;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.008;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  cframe = frame;
  frame = cframe+FRAMEP9;
  
  //movimento
  dY = (8.944-y)/FRAMEP9;
  dYO = (9.0-yo)/FRAMEP9;
  for(i=cframe;i<frame;i++){
    y+=dY;
    yo+=dYO;
    
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }
  
  //ultima rotazione
  cframe = frame;
  frame = cframe+FRAMEP10;

  x=6.007;
  y=8.943;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.006;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.005;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.004;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.003;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.002;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.001;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=6.000;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.999;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.998;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //10

  x=5.997;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.996;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.995;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.994;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.993;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.992;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.991;
  y=8.944;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.990;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.989;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.988;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++; //20

  x=5.987;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.986;
  y=8.945;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.985;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.984;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.983;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.982;
  y=8.946;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.981;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.980;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.979;
  y=8.947;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.978;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//30

  x=5.977;
  y=8.948;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.976;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.975;
  y=8.949;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.974;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.973;
  y=8.950;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//15

  x=5.972;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.971;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.970;
  y=8.951;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.969;
  y=8.952;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.968;
  y=8.953;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//20
  
  x=5.967;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.966;
  y=8.954;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.965;
  y=8.955;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.964;
  y=8.955;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.963;
  y=8.956;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//25

  x=5.962;
  y=8.957;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.961;
  y=8.958;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.960;
  y=8.959;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.959;
  y=8.960;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.958;
  y=8.961;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//30

  y=8.962;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.957;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.956;
  y=8.963;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.964;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.955;
  y=8.965;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//35

  x=5.954;
  y=8.965;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.966;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.953;
  y=8.967;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.968;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.952;
  y=8.969;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//40

  x=5.951;
  y=8.970;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.971;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.950;
  y=8.972;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.973;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.949;
  y=8.974;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//50

  y=8.975;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.948;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.976;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.947;
  y=8.977;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.978;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//55

  y=8.979;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.946;
  y=8.980;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.981;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.982;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.945;
  y=8.983;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//60

  y=8.984;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.985;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.986;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  x=5.944;
  y=8.987;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;//65

  y=8.988;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.989;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.990;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  y=8.991;
  write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  i++;

  cframe = frame;
  frame = cframe+FRAMEP11;
  
  dX = (12.943-x)/FRAMEP11;
  dXO = (13.00013-xo)/FRAMEP11;
  for(i=cframe;i<frame;i++){
    x+=dX;
    xo+=dXO;

    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  cframe = frame;
  frame = cframe+FRAMEP12;
  
  for(i=cframe;i<frame;i++){
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  //movimento finale
  x=20.017014;
  y=10.008001;
  z=10.312002;

  xo=15.086420;
  zo=10.0;
  yo=10.31200;

  xv=0.002;
  yv=-0.007;
  zv=0.999;

  cframe = frame;
  frame = cframe+FRAMEP13;
  
  dX = (x-8.017014)/FRAMEP13;
  dXO = (x-3.086420)/FRAMEP13;

  dZ = (z-9.312002)/FRAMEP13;
  dZO = (zo-9.3120)/FRAMEP13;
  
  for(i=cframe;i<frame;i++){
    x-=dX;
    printf("%f\n", x);
    xo-=dXO;
    z-=dZ;
    zo-=dZO;
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }

  cframe = frame;
  frame = cframe+FRAMEP14;
  
  for(i=cframe;i<frame;i++){
    write(i,x,y,z,xo,yo,zo,xv,yv,zv);
  }


  //ani
  sprintf(fname,"all.ani");  
  fp = fopen(fname, "w");
  fprintf(fp,"all.ani\n");
  fprintf(fp,"732\n");
  for(i=0;i<732;i++) //722
    fprintf(fp,"%d all%d.md all%d.vw all.arg\n",i,i,i);
  fclose(fp);




}
